{% extends 'shop/main-shop-page.html' %}
{% block content %}


<nav aria-label="breadcrumb">
  <ol class="breadcrumb">
    <li class="breadcrumb-item"><a href="{% url 'shop:shop_main'%}">Main</a></li>
    <li class="breadcrumb-item">{{category.name}}</li>
  </ol>
</nav>
<div class="row gx-4 gx-lg-5 row-cols-2 row-cols-md-3 row-cols-xl-4 justify-content-center">
    {% for product in category_products %}
    <div class="col mb-5">
        <div class="card h-100">
            <!-- Product image-->
            <img class="card-img-top" src="{{product.image.url}}" alt="..." />
            <!-- Product details-->
            <div class="card-body p-4">
                <div class="text-center">
                    <!-- Product name-->
                    <h5 class="fw-bolder">{{ product.product_name}}</h5>
                    <!-- Product price-->
                    {{product.price}} $
                    <br>
                    <a href="{% url 'shop:add-to-cart' ct_model=product.get_model_name slug=product.slug%}">
                                        <button class="btn btn-danger">Add to cart</button></a>
                </div>

            </div>
            <!-- Product actions-->
            <div class="card-footer p-4 pt-0 border-top-0 bg-transparent">
                <div class="text-center"><a class="btn btn-outline-dark mt-auto" href="{{ product.get_absolute_url }}">Detail</a></div>
            </div>
        </div>
    </div>
    {% endfor %}
</div>


{% endblock %}